# Simple-Sync-Phone

Assistant pour l’utilisation de **rsync** depuis une machine Linux vers un téléphone basé sur Android et ayant l’application **SimpleSSHD**.

Elle permet de pousser un fichier ou tout un répertoire sur un appareil Android.

---
## Préalable sur Android

* Installez **SimpleSSHD** depuis [f-droid](https://f-droid.org/fr/packages/org.galexander.sshd/), par exemple.
* Choisissez un port pour le téléphone (par défaut : 2222). Si vous envisager d’utiliser plusieurs téléphones, il peut être pratique d’utiliser le port 2223 pour le premier téléphone, 2224 pour le second…

L’utilisation de **SimpleSSHD** n’est pas obligatoire, ce qu’il faut c’est un serveur SSH (sshd) qui supporte scp, sftp, et rsync. Mais surtout il faut qu’il soit possible de modifier le port d’écoute.

---
## Installation sur Linux de **simple-sync-phone**

### Installation de la dernière version (solution recommandée).

Rendez-vous sur la page: <https://releases.cclaude.rocks/simple-sync-phone/index.html>

### Installation depuis le code source (réservé aux utilisateurs avancés)

Récupérer le code de **simple-sync-phone**, depuis un terminal :

```bash
git clone --recurse-submodules https://gitea.cclaude.rocks/tools/simple-sync-phone.git
```

---
## Utilisation de **simple-sync-phone**

### Configuration automatique

Cette étape est la plus spécifique à **SimpleSSHD** qui attend, par défaut, son fichier `authorized_keys` dans le répertoire de l’application.

Cette étape s’assure que les outils requis soit présent sur la machine Linux puis elle copie votre clé publique dans le fichier `authorized_keys` sur le téléphone.

Si l’adresse IP du téléphone n’est pas donnée, **simple-sync-phone** tente de la déterminer automatiquement.

Pour chaque téléphone, utilisez la commande (en adaptant le port) :

```bash
simple-sync-phone -P 2223 --init
```

ensuite

```bash
simple-sync-phone -P 2224 --init
```

ainsi de suite

### Synchronisation à l’aide de **simple-sync-phone**

Pour chaque téléphone synchroniser le répertoire ou le fichier comme suit :

```bash
simple-sync-phone -P 2223 --source "${HOME}/Documents/testfile.json" -D '/sdcard/Documents/'
```

ensuite

```bash
simple-sync-phone -P 2224 --source "${HOME}/Documents/testfile.json" -D '/sdcard/Documents/'
```

ainsi de suite

---
